### Function

# Camel debug

#### Declaration [src]

    gboolean
    camel_debug (
      const gchar* mode
    )

#### Description [src]

Check to see if a debug mode is activated. `mode` takes one of two forms, a fully qualified ‘module:target’, or a wildcard ‘module’ name. It returns a boolean to indicate if the module or module and target is currently activated for debug output.

#### Parameters

`mode`

  Type: `const gchar*`

  String name of the mode to check for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

Whether the debug `mode` is activated.